export interface Options {
    /**
     * Whether breadcrumbs should be recorded for requests
     * Defaults to true
     */
    breadcrumbs: boolean;
    /**
     * Function determining whether or not to create spans to track outgoing requests to the given URL.
     * By default, spans will be created for all outgoing requests.
     */
    shouldCreateSpanForRequest?: (url: string) => boolean;
}
/**
 * Creates spans and attaches tracing headers to fetch requests on WinterCG runtimes.
 */
export declare const winterCGFetchIntegration: (options?: Partial<Options> | undefined) => import("@sentry/core").Integration;
//# sourceMappingURL=wintercg-fetch.d.ts.map